Create an account


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
[SOLVED] Compiling NetRadiant: Missing dependencies

#1
So this is bugging me quiet a while now... I can´t seem to compile NetRadiant without running into dependency issues. On some systems it works, on others it doesn´t. Now, while using Ubuntu 13.04 (fresh install) I got this:
Code:
user@localhost:~/Programs/NetRadiant$ make

checking that the build tools exist
Checking for /bin/sh (bash (or another shell))... found.
Checking for echo (coreutils)... found.
Checking for echo -n (coreutils)... found.
Checking for cat (coreutils)... found.
Checking for mkdir -p (coreutils)... found.
Checking for cp (coreutils)... found.
Checking for cp -r (coreutils)... found.
Checking for rm -f (coreutils)... found.
Checking for rm -f -r (coreutils)... found.
Checking for mv (coreutils)... found.
Checking for echo test | tee /dev/stderr (coreutils)... found.
Checking for sed (sed)... found.
Checking for find (findutils)... found.
Checking for diff (diff)... found.
Checking for cc (gcc)... found.
Checking for g++ (g++)... found.
Checking for ranlib (binutils)... found.
Checking for ar (binutils)... found.
Checking for pkg-config (pkg-config)... found.
Checking for unzip (unzip)... found.
Checking for git (git-core)... found.
Checking for svn (subversion)... found.
Checking for wget (wget)... found.
Checking for ldd  (libc6)... found.
All required tools have been found!

checking that the dependencies exist
Checking for jpeglib.h (libjpeg8-dev)... found and links.
Checking for glib.h (libglib2.0-dev)... found and links.
Checking for libxml/xpath.h (libxml2-dev)... found and links.
Checking for png.h (libpng12-dev)... found and links.
Checking for GL/gl.h (mesa-common-dev (or another OpenGL library))... found and links.
Checking for gtk/gtkdialog.h (libgtk2.0-dev)... found and links.
Checking for pango/pangoft2.h (libpango1.0-dev)... found and links.
Checking for gtk/gtkglwidget.h (libgtkglext1-dev)... not found, please install it or set PKG_CONFIG_PATH right!
To see the failed commands, set DEPENDENCIES_CHECK=verbose
To proceed anyway, set DEPENDENCIES_CHECK=off
Checking for dlfcn.h (libc6-dev)... found and links.
Checking for zlib.h (zlib1g-dev)... found and links.
make: *** [dependencies-check] Error 1

The odd thing is that I have the library installed:
Code:
user@localhost:~$ dpkg -L libgtkglext1-dev | grep gtkglwidget.h
/usr/include/gtkglext-1.0/gtk/gtkglwidget.h

I don´t really know how to set PKG_CONFIG_PATH right, I expect that this has something to do with the makefile but I don´t see anything wrong in there.

Any help would be appreciated!
Reply

#2
All I can say is, that I had this bug (with some other libary). I didn't really solved it, but after I changed a NetRadiant version to one provided by git, it all worked (at the time of first compilation i used version available from xonotic.org) without problems. Sysinfo: i used Kubuntu 12.04 32-bit.
[Image: 12684.png]
Reply

#3
(06-01-2013, 05:28 PM)Maddin Wrote: So this is bugging me quiet a while now... I can´t seem to compile NetRadiant without running into dependency issues. On some systems it works, on others it doesn´t. Now, while using Ubuntu 13.04 (fresh install) I got this:
Code:
user@localhost:~/Programs/NetRadiant$ make

checking that the build tools exist
Checking for /bin/sh (bash (or another shell))... found.
Checking for echo (coreutils)... found.
Checking for echo -n (coreutils)... found.
Checking for cat (coreutils)... found.
Checking for mkdir -p (coreutils)... found.
Checking for cp (coreutils)... found.
Checking for cp -r (coreutils)... found.
Checking for rm -f (coreutils)... found.
Checking for rm -f -r (coreutils)... found.
Checking for mv (coreutils)... found.
Checking for echo test | tee /dev/stderr (coreutils)... found.
Checking for sed (sed)... found.
Checking for find (findutils)... found.
Checking for diff (diff)... found.
Checking for cc (gcc)... found.
Checking for g++ (g++)... found.
Checking for ranlib (binutils)... found.
Checking for ar (binutils)... found.
Checking for pkg-config (pkg-config)... found.
Checking for unzip (unzip)... found.
Checking for git (git-core)... found.
Checking for svn (subversion)... found.
Checking for wget (wget)... found.
Checking for ldd  (libc6)... found.
All required tools have been found!

checking that the dependencies exist
Checking for jpeglib.h (libjpeg8-dev)... found and links.
Checking for glib.h (libglib2.0-dev)... found and links.
Checking for libxml/xpath.h (libxml2-dev)... found and links.
Checking for png.h (libpng12-dev)... found and links.
Checking for GL/gl.h (mesa-common-dev (or another OpenGL library))... found and links.
Checking for gtk/gtkdialog.h (libgtk2.0-dev)... found and links.
Checking for pango/pangoft2.h (libpango1.0-dev)... found and links.
Checking for gtk/gtkglwidget.h (libgtkglext1-dev)... not found, please install it or set PKG_CONFIG_PATH right!
To see the failed commands, set DEPENDENCIES_CHECK=verbose
To proceed anyway, set DEPENDENCIES_CHECK=off
Checking for dlfcn.h (libc6-dev)... found and links.
Checking for zlib.h (zlib1g-dev)... found and links.
make: *** [dependencies-check] Error 1
The odd thing is that I have both libraries installed. I don´t really know how to set PKG_CONFIG_PATH right, I expect that this has something to do with the makefile but I don´t see anything wrong in there.

Any help would be appreciated!

"both libraries" ??? You're missing libgtkglext1-dev, but I don't see anything else missing. What's the second one?
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#4
@g4spr0m: I tried every version, from github, from the xonotic development site, etc... nothing compiled successfully.

@Mr.Bougo: Sorry, my fault, I first copied in the output of another NetRadiant version but forgot to change the text... it was already late when I wrote it. But still, nothing was really different except that the compiler complained about missing libraries which are actually installed. So the problem is still the same, it says that I am missing libraries although I have them.
Reply

#5
Maddin, try this then:
Code:
make DEPENDENCIES_CHECK=verbose

It will tell how the test failed exactly.

EDIT: I remember itsme_ had the same problem in November, we had a chat over this on #xonotic on freenode. He had the exact same error and said:
itsme_ Wrote:i reinstalled [gtkglext] and the packages it depends on (gtk2 glu libxmu pangox-compat), now it compiles
I guess you could try that, reinstall gtkglext.
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#6
I tried reinstalling gtkglext already but it didn´t help. Now I just reinstalled my OS as it wasn´t stable enough (crashes all over after some time...), used a testing version of Gnome 3.9 which may have caused this problem too.

So compiling works flawlessly now, I know that it was the brutal way to solve it but it worked. (I feel so noobish about it... )

Sorry for the trouble.
Reply

#7
Welp!

(06-02-2013, 12:56 PM)Maddin Wrote: (I feel so noobish about it... )

Not your fault. Although it's usually better to try and troubleshoot issues, because reinstalling everything is not a solution and how else are you going to learn or get bugs fixed Smile
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#8
(06-02-2013, 01:46 PM)Mr. Bougo Wrote: Although it's usually better to try and troubleshoot issues, because reinstalling everything is not a solution and how else are you going to learn or get bugs fixed Smile

Actually, that´s what I thought. Smile
Reply

#9
Hm, I happened to be mssing gtkglext as well...
[Image: 0_e8735_c58a251e_orig]
Reply

#10
(06-02-2013, 03:40 PM)aa Wrote: Hm, I happened to be mssing gtkglext as well...

What do you mean? If you are not in the exact same circumstances as Maddin described (OS, installed packages, same error), please detail it. If you are in the exact same circumstances, try what I said above.
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#11
No, my conditions are different. OS, etc...
I finally managed to install gtkglext, so now it all runs as smothly as ever...

...Howether, when I tried to compile NetRadiant, It gave me a mistake, similar to Maddin: a missing dependency which is installed.

Code:
checking that the dependencies exist
Checking for jpeglib.h (libjpeg8-dev)... found and links.
Checking for glib/gutils.h (libglib2.0-dev)... not found, please install it or set PKG_CONFIG_PATH right!
To see the failed commands, set DEPENDENCIES_CHECK=verbose
To proceed anyway, set DEPENDENCIES_CHECK=off
Checking for libxml/xpath.h (libxml2-dev)... found and links.
Checking for png.h (libpng12-dev)... found and links.
Checking for GL/gl.h (mesa-common-dev (or another OpenGL library))... found and links.
Checking for gtk/gtkdialog.h (libgtk2.0-dev)... found and links.
Checking for pango/pangoft2.h (libpango1.0-dev)... found and links.
Checking for gtk/gtkglwidget.h (libgtkglext1-dev)... found and links.
Checking for dlfcn.h (libc6-dev)... found and links.
Checking for zlib.h (zlib1g-dev)... found and links.
make: *** [dependencies-check] Error 1

The problem seems in the PKG_CONFIG_PATH. I tried setting it, but it gave no results.

When I try to set more then one path, export says that the others are dirrectories, and does not set them.
[Image: 0_e8735_c58a251e_orig]
Reply

#12
@aa
That's the lib (libglib2.0-dev>gutils.h) I had problem with during compilation on Kubuntu 12.04 32-bit. I tried to set PKG_CONFIG_PATH too but without luck. Did you tried git version, which worked for me?

I don't use this system on my own computers, so I can't give you any detailed info.
[Image: 12684.png]
Reply

#13
aa, g4spr0m: As I said, please follow my intsructions above: first try to reinstall the package, and if that doesn't succeed, compile with
Code:
make DEPENDENCIES_CHECK=verbose
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#14
Mr. Bougo, as I said above: I installed netradiant. I said also, that changing NetRadiant version on system i don't even use myself helped. I can't follow any instructions now, because: 1) I don't have any problems with installation, 2) I tried to help by describing SOLVED issue I've encountered in the past. 3)I don'r have access to system on which I had this problem (months ago).
g4spr0m Wrote:after I changed a NetRadiant version to one provided by git, it all worked (...) without problems
g4spr0m Wrote:I don't use this system on my own computers
[Image: 12684.png]
Reply

#15
Oh alright, I figured it was still a problem for you.

I'll wait for aa's reply now.
[Image:http://i.imgur.com/4XODR.png]640K ought to be enough for anybody.
     ― Linux Torvalds
Reply

#16
@aa:

It seems like your using an outdated version of NetRadiant which has a known dependency bug as far as I know. I had the same error before.

That
Code:
Checking for glib/gutils.h (libglib2.0-dev)... not found, please install it or set PKG_CONFIG_PATH right!
was fixed in some of the latest NetRadiant versions in Xonotic Git.

Use
Code:
git clone git://git.xonotic.org/xonotic/netradiant.git
to clone NetRadiant into the current directory. (will create a new directory "netradiant") Then compile it with make in that directory.

If you still get this error
Code:
Checking for GL/gl.h (mesa-common-dev (or another OpenGL library))... found and links.
you may want to check you graphics driver. I read on another forum that someone fixed this by purging his nvidia driver and reinstalling it (or at least installing one which seems more obvious for me...)

EDIT:
I think we should have some wiki article or sticky help post/thread where we gather all these dependency problems as there are so many people out there who got problems...
Reply

#17
Works so far...
Cloned, now making.

This takes a while for a while now.

Finally!!!
Installed, a working NetRadiant is in front of me now.

Thank You, Maddin!
[Image: 0_e8735_c58a251e_orig]
Reply



Possibly Related Threads...
Thread Author Replies Views Last Post
  [NEED HELP] I REPEAT I need Help with Netradiant Taplio 4 115 08-18-2019, 10:11 PM
Last Post: Lyberta
  [NEED HELP] Netradiant looks weird when i try to open it Taplio 0 186 07-07-2019, 02:19 PM
Last Post: Taplio
  [NEED HELP] NetRadiant crashes on Build - Mac (10.12.6) Space Ace 0 293 04-24-2019, 10:41 PM
Last Post: Space Ace
  [NEED HELP] NetRadiant doesn't compile on Mac nokko 3 371 03-29-2019, 11:19 AM
Last Post: Freddy
  [NEED HELP] Netradiant compiling? Raxno 2 1,255 11-11-2017, 04:50 AM
Last Post: It'sMe
  [SOLVED] NetRadiant crashing (Xonotic 0.8.2, NR 1.5.0-20120301) munyul 2 1,475 07-09-2017, 11:21 AM
Last Post: munyul
  [NEED HELP] video glitches in netradiant on windows 10 fabzor3 2 979 05-26-2017, 02:09 AM
Last Post: PinkRobot
  [SOLVED] Mortar model missing Dr. Midget 12 1,876 05-01-2017, 09:16 AM
Last Post: Lyberta
Sad [NEED HELP] Help with compiling. ImSoAwesome 2 1,500 09-06-2016, 02:54 AM
Last Post: ImSoAwesome
  [SOLVED] NetRadiant crash "Got to split the buffer" PinkRobot 7 2,438 08-27-2016, 06:16 AM
Last Post: PinkRobot

Forum Jump:


Users browsing this thread:
1 Guest(s)

Forum software by © MyBB original theme © iAndrew 2016, remixed by -z-